Subject: E-mail for USDA employee
From: [email-masked] (Marcos O. Camargo)
Date: 12 Aug 1994 16:59:58 GMT
Newsgroups: alt.sustainable.agriculture

I am looking for the e-mail of Dick Okie.  He works in a USDA
experimental station in Byron, Georgia.

He went to China to collect peach varieties and I would like to
know what he obtained.

If anybody knows of his e-mail or knows anybody else that has such
collection I would be greatly thankful.

-- 
Marcos O. Camargo             |  e-mail:  [email-masked]
Intel Corp.  JF1-19           |  phone :  (503) 696-4273
5200 N.E. Elam Young Parkway  |  FAX   :  (503) 681-9017
Hillsboro, Oregon  97124      |